<template>
  <div class="card">
    <div class="card-content">
      <div class="media">
        <div class="media-content">
          <div class="field is-horizontal">
            <div class="field-label is-normal">
              <label class="label">Client ID</label>
            </div>
            <div class="field-body">
              <ADisabledInput :placeholder="client.id" />
            </div>
          </div>
          <div class="field is-horizontal">
            <div class="field-label is-normal">
              <label class="label">Client Secret</label>
            </div>
            <div class="field-body">
              <ADisabledInput :placeholder="client.secret" />
            </div>
          </div>
        </div>
        <div class="media-right">
          <button v-on:click="remove=true" class="button is-danger">
            <a-close-button />
          </button>
        </div>
      </div>
    </div>
    <AClientCredentialsRemovalModal @closeModal="remove = false" :active="remove" :client="client" />
  </div>
</template>

<script lang="ts">
import { Component, Vue, Prop } from "vue-property-decorator";
import ADisabledInput from "@/components/ADisabledInput.vue";
import ACloseButton from "@/components/ACloseButton.vue";
import AClientCredentialsRemovalModal from "@/components/AClientCredentialsRemovalModal.vue";
import { Client } from "../services/arbalo_extensions/clients";

@Component({
  components: {
    ADisabledInput,
    ACloseButton,
    AClientCredentialsRemovalModal
  }
})
export default class ClientCredentials extends Vue {
  @Prop() client!: Client;

  remove = false;
}
</script>

<style lang="scss" scoped>
</style>
